# Dependency (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.annotation, annotation type: Dependency

Package co.aikar.commands.annotation

# Annotation Type Dependency

@Retention(RUNTIME) @Target(FIELD) public @interface Dependency
Injects a dependency into the field this is attached to. Any time a new dependency is registered, this will be overwritten.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
The key that should be used to lookup the instances, defaults to \"\"

## Element Details

### value

String value
The key that should be used to lookup the instances, defaults to \"\"

Returns:
  the key

Default:
  ""